2016-10-05 tim <gyunaev@ulduzsoft.com>
    - Version 7.7 released (there were no 7.6)
    - Windows build now uses Qt 5.5 and VS2013; both 32-bit and 64-bit Windows versions are released

2016-07-30 tim <gyunaev@ulduzsoft.com>
    - Added a Ctrl-I shortcut which copies the URL of currently opened page to clipboard
    - Minor bugfixes    
    
2015-11-14  tim <gyunaev@ulduzsoft.com>
    - Version 7.5 released (r458);
    - Added more useful information into About window;
    - Fixed EPUB default encoding to be UTF-8;
    - Changed the TOC/Index/Search default click to be single-click, not system-specific.
    - On Windows we do not store the window size if it is minimized or maximized; using default size instead.    

2015-11-02  tim <gyunaev@ulduzsoft.com>
    - Version 7.4 released (r450)
    - Zoom level is now inherited in newly opened windows
    - Fixed the empty or stale tab names while using the back/forward navigation buttons and new tab options
    - Added -v and --version command-line options
    - Added an option (Settings/Browser/Always use single click) to use a single-click to open tree items in the contents/index tabs despite the selected OS activator such as KDE double-click. Off by default.
    - Fixed TOC parsing on some CHM files which had TOC names without associated URLs.
    - Disabled encoding selection menu for epubs
    
2015-02-22  tim <gyunaev@ulduzsoft.com>
    - Version 7.3 released (r440)
    - Fixed Windows-specific issues, Windows build works again
    - Added X11-specific way to bring the window to front when requested;
    - Added search highlighting suggested by Jomart
    - Various KDE build fixes
    - Added an option to disable automatic auto-expansion of Table of Contents entries
    - Fixed the new version check which was triggered on older versions
    - Fixed Qt5 build, it works fine now
    - Fixed settings storage on Qt4/Qt5

2014-12-23  tim <gyunaev@ulduzsoft.com>
    - Version 7.2 released
    - Ported to Qt5 (but still builds and works with Qt4)
    - Added support for 3rd party integration
    - Fixed some minor issues

2014-10-12  tim <gyunaev@ulduzsoft.com>
    - Version 7.1 released
    - Added support for creating kchmviewer as a portable app
    - Fixed a crash when indexing (in search) certain malformed HTML files
    - Fixed parsing CHM files whose filenames contained URL-encoded characters

2014-03-26 tim <gyunaev@ulduzsoft.com>
    - Version 6.1 released
    - Keyboard usability improved thanks to the Giuseppe "Cowo" Corbelli.
    - The focus is now moved to the content page once the link is clicked, so the keyboard navigation is available immediately. You can switch the focus back by pressing Ctrl+(1-4).
    - Added extended keyboard shortcuts for FindNext and FindPrevious; F3 still works.
    - Navigation tab window activation (Contents, Search, Index, Bookmarks) now automatically focus the proper element.
    - The items in the navigation page now reacts on onItemActivated, and hence act on <Return> key and follow the DE policy (such as respecting KDE single click).
    - Upon successful search, the focus moves to the results list.
    - Titles are now space-trimmed.
    - Fixed binary TOC parser check which led to crashes for some CHM files.
    - Fixed incorrect settings file storage name when the CHM file contains multiple dots.
    - Fixed the Ctrl+click and Shift+click when the release event was intercepted by other applications (i.e. GoldenDict)
    - 'Esc' closes the search dialog and restores focus in the content  window.

2011-12-18 tim <gyunaev@ulduzsoft.com>
    - Version 6.0 released
    - Removed outdated and buggy QTextBrowser support.
    - Removed unneeded KHTMLPart support. Only QWebKit is now supported.
    - Fixed zoom and "select all".
    - Fixed storing scrollbar position.
    - Added browser options to control JavaScript, Java and HTML5 features, which now apply to Webkit
    - Fixed crash on start when the number of recent files was set to zero
    - Added support for opening the specific page on startup using the --url switch
    - Fixed scrolling at the same page when links are clicked
    - Fixed the "Locate in content tree" which was broken for QWebKit
    - For CHM entries with an URL but no name use the URL as name
    - Updated copyrights

2011-01-14 tim <gyunaev@ulduzsoft.com>
    - Version 5.3 released.
    - Fixed spelling error (thx Razvan Visan)
    - Changed encodings order for Chinese and Japanese languages (thanks Kai-Chieh Ku)
    - Added Ukrainian localization (thanks Olexander Yatsenko)
    - Added Brazilian localization (thanks Márcio Moraes)
    - Fixed some grammatical errors (thanks Robin 'cheese' Lee)
    - Fixed webkit engine for buggy CHMs which do not have all content, as well as 
      cases when external references cannot be loaded. Thanks to Kai-Chieh Ku
    - Added Mac support (thanks Serge Weinstock)

2010-04-26 tim <gyunaev@ulduzsoft.com>
    - 5.2 RELEASE
    - Fixed missing images on CHM files under Windows XP SP3;
    - Fixed viewing CHM files which embed links to other CHM files;

2010-04-23 tim <gyunaev@ulduzsoft.com>
    - Fixed window icon (thanks Aaron Lewis)
    - Fixed typos in README and FAQ (thanks Martin 'Cheese' Lee)
    - Fixed errors while building index because 'keyword' was ignored (thanks ivg)
    - Switched to use new cross-compiler from http://mingw-cross-env.nongnu.org/ to create Windows builds
    
2009-12-17 tim <gyunaev@ulduzsoft.com>
    - 5.1 RELEASE
    - Trying to use non-normalized URL first to fix CHMs which use them in TOC/Index

2009-12-16 tim <gyunaev@ulduzsoft.com>
    - Fixed application settings storage.
    - Fixed bookmark edit button.
    - Version changed to 5.1

2009-12-14 tim <gyunaev@ulduzsoft.com>
    - 5.0 RELEASE
    - Version changed to 5.0
    - Binary index parser commented out as it seems to be buggy.
    - Toolbar mode is now configurable through settings.
    - Now the application can start without opening a CHM file. Startup mode is selected in settings.
    - Added check if a new version is available.
    - Added new icons from DryIcons

2009-12-13 tim <gyunaev@ulduzsoft.com>
    - Major code refactoring, with renamed files and classes, to make it easier to maintain
      the code in future.
    - Changed all license headers to GPLv3-compliant.
    - Recent files feature now uses a separate class.
    - The navigator tab is now a Dock widget, so can be moved and floated.
    - Content tab is now always loaded, and the page is correctly located.

2009-24-10 tim <gyunaev@ulduzsoft.com>
    - Version changed to 4.2
    - Fixed font size change on KHTMLPart (thanks to Jure Repinc)
    - Fixed Windows file opener being unable to open the file with non-English characters.
    - Fixed "Open in new tab" for QTextBrowser opening an empty page.
    - Middle button in QTextBrowser and WebKit now opens the link in new tab in background.
    - Middle button now closes opened tabs in the tab bar.

2009-19-07 tim <gyunaev@ulduzsoft.com>
    - Version changed to 4.1
    - Updated Dutch translation (thanks to Sander Pientka)
    - Updated Turkish translation (thanks to Ozan Caglayan)
    - Default toolbar button order changed to standard -/+
    - Automatic encoding detection for KHTMLPart/WebKit is now disabled by default.
    - Fixed incorrest index string encoding for non-English strings.
    - Fixed text size auto-increase each time the file is loaded for WebKit browser.
    - Fixed Windows mingw build issues.
    - Fixed Windows command line parser being unable to open the file with non-English characters.
    - License changed from GPLv2 to GPLv3.

2008-12-01 tim <gyunaev@ulduzsoft.com>
    - Version changed to 4.0 (release);
    - Released version 4.0.

2008-11-30 tim <gyunaev@ulduzsoft.com>
    - Integrate Fedora .desktop fixes (thx Patrice Dumas)
    - Implemented binary TOC and index tables (thx Razvan Cojocaru <razvanco@gmx.net>, the author of xchm). Speed up loading files more than twice!
    - Now showing 'waiting' cursor while loading chm table of contents or index.
    - Fixed QTextBrowser by providing workaround for "empty" books.
    - More compatibility fixes with KDE 4.1 
    - Added Swedish translation (thx Daniel Nylander)
    - Fixed handling files with file:// prefix.
    - Added D-BUS support for Qt and KDE builds, the application could now be controlled remotely from other applications or scripts.
    - Restored KDE translations.

2008-06-18 tim <gyunaev@ulduzsoft.com>
    - Version changed to 4.0b4;
    - Added WebKit support (requires QtWebKit module). WebKit browser is default for a system where QtWebKit is present;
    - Added support for Right-To-Left application and text layouts;
    - Added support for disabling automatic encoding detection for browsers which could detect it themselves (KHTMLPart and Webkit);

2008-06-06 tim <gyunaev@ulduzsoft.com>
    - Version changed to 4.0b3;
    - Added KDE4 support;
    - Fixed several compatibility issues with qt-4.4.0;
    - Added keyboard shortcuts to move to the next and previous entries in TOC: Ctrl+Right arrow
      and Ctrl+Left arrow;
    - Added manifest for the Windows version (thanks Cristian Adam);
    - Windows version should not rely on mingw DLL anymore;
    - Toolbars are now named;
    - Fixed parallel build (thanks Patrice Dumas);
    
2008-02-10 tim <gyunaev@ulduzsoft.com>
    - Version changed to 4.0b2 (this is Qt4-only release);
    - Added a command-line option to search through table of contents (--stoc);
    - Added Italian translation (thanks to Emilio Scalise);
    - Fixed crash on incorrectly compressed CHM file (thanks Albert Astals Cid);
    - Fixed kio-msits so it now works with KDE4 (thanks Albert Astals Cid);
    - Fixed FSF mailing address everywhere (thanks Albert Astals Cid);
    - Fixed handling of improperly formatted CHM files like Audigy help;
    - Added heuristics to support for improperly formatted CHMs which have toc and index,
      but do not specify so in the project file;
    - Fixed handling of CHM files which have local links in form of MS-ITS: urls;
    - Search engine has been integrated into libchmfile;
    - Search indexes are now stored in a single file, which should make it easier to make 
      search available through the indexing application;

2007-08-26 tim <gyunaev@ulduzsoft.com>
    - Application ported to Qt4.
    - Recent files reworked.
    - Search on page is now done via toolbar (like FireFox), activated by Ctrl-F and /.
    - After switching tabs (either with mouse or Alt+<number> the focus is moved to the browser widget,
      so you don't have to click on it to navigate using keyboard.
    - Enchanced browser context menu.

2007-06-16 tim <gyunaev@ulduzsoft.com>
    - Fixed locale and .desktop installation directory for Gentoo (thanks Peter Volkov)
    - Increased the speed of search engine indexing (thanks Kai Londenberg)
    - Fixed the problem when kchmviewer is called from a browser with URL like file://.
    - Fixed the unability to run the program when the last opened file does not exist anymore,
      and the LoadLatestFileOnStartup is set to 1.
    - Fixed CHMs with Unicode index/topic filenames inside CHM file (thanks hephooey).
    - Fixed showing book images in QTextBrowser when file path contains urlencoded symbols.
    - Fixed 64bit platforms compilation if system chmlib is not present.
    - Version 3.1 (Qt3) released.

2007-03-14 tim <gyunaev@ulduzsoft.com>
	- Version 3.0 released
    - Added a lot of decoded entities.
    - Fixed incorrect saving of the settings file which result of this file not being loaded.
    - Added FAQ.
    - Added command-line options to search in index and in search window.

2007-03-09 tim <gyunaev@ulduzsoft.com>
    - Added improved custom search engine.
    - Added DCOP support for KDE version.

2007-03-08 tim <gyunaev@ulduzsoft.com>
    - KDE version now shows KDE about dialog
    - Fixed 'copy' in KDE browser
    - Version changed to 3.0
    - Removed duplicated application title in KDE.
    - Gentoo installation issues fixed.
    - KDE version sometime didn't kill the process after quit; thanks Norberto Bensa for fix.
    - Fixed popup menu popping in a wrong place when using QTextBrowser if the scrollbar 
      position is not at the top of the document.
    - KHTMLPart options sometime were not disabled while QTextBrowser was choosen.
    
2007-03-01 tim <gyunaev@ulduzsoft.com>
    - The design changed; created the chm files processing library, and moved it outside the source
      to improve and simplify Okular integration.
    - Changed URL2Topic search, the result - startup and opening times increased up to 20 times 
      for large chm files!
    - Index multiple URL entry also opens now faster.
    - Added support for new autotools.

2006-12-01 tim <gyunaev@ulduzsoft.com>
    - Version changed to 2.7.
    - You can now switch between tabs using Alt+<tab number>, thanks Bobi Jam.
    - Kchmviewer should now work correctly on non-x86 platforms, including the codepage 
      autodetection.
    - Added a warning when the browser or browser settings are changed that the application 
      restart is required for changes to take effect.
    - Fixed the i18n compilation problem in kchmviewwindow.cpp.
    - If the TOC directory entry did not have an associated page, it was not possible to select it.
    - TOC directory entries now could be opened/closed with double-click on the entry name/icon, 
      not just +/- icons. Credits to Ludo for the ideas.
    - No more duplicate entries in previous file history.
    - The window title is now truncated if too long.
    - Tab close icon now positioned correctly.
    - Now current window size and splitter position is also stored on exit - separately 
      for each chm file.
    - Window selection with multiple tabs now works.
    - Czech translation added, thanks Hynek Fabian.
    - Dutch translation updated, thanks Rinse de Vries.

2006-04-05 tim <gyunaev@ulduzsoft.com>
    - Version changed to 2.6
    - Fixed gcc 4.x compilation.
    - Added shortcut help in context menus.
    - Right-click menu is now available in Contents, Search, Index and Favorites windows.
    - Fixed navigation buttons 'What's this' messages.
    - Fixed compilation on Zaurus and Debian.

2006-04-05 tim <gyunaev@ulduzsoft.com>
    - Application icon should now be correctly installed.
    - Fixed handling of mailto: urls.
    - 'Locate in content' button now opens a Contents tab, if hidden.
    - Version 2.5 release.
    
2006-04-02 tim <gyunaev@ulduzsoft.com>
    - A tooltip is now shows the full text in all the tree and list views if truncated on screen.
    - Fixed content tree parser, now the content table should be parsed correctly.
    - Fixed crash after the encoding is changed, if any tree item is clicked.
    - Added a bookmark menu. Ctrl-B is a shortcut to add a bookmark.
    
2006-04-01 tim <gyunaev@ulduzsoft.com>
    - Added tab browsing. Use right-click and 'Open in new tab'.
	- Added right-click content menu to open pages in a new tab.
	- Control-click on link or table of contents opens a page in a new tab in background.
	- Shift-click on link or table of contents opens a page in a new tab in foreground.

2006-03-31 tim <gyunaev@ulduzsoft.com>
    - 'Setup' menu renamed to 'Settings'
    - Fixed various navigation errors when 'Locate' button didn't locate the appropriate topic.
    - Fixed forward navigation, and saved scroll position.
    - Added tab browsing.

2006-02-07 tim <gyunaev@ulduzsoft.com>
    - Navigation history rewritten, now it stores text position too.
    - Version changed to 2.1.

2006-02-06 tim <gyunaev@ulduzsoft.com>
    - Added 'Extract CHM content' menu item to extract the whole CHM file into a directory.

2006-02-02 tim <gyunaev@ulduzsoft.com>
    - Added i18n calls for complete internationalization. pot file created.
    - Switched to a new, correct automake file structure.
    - Fixed autotest.
    - Version changed to 2.0.

2006-02-01 tim <gyunaev@ulduzsoft.com>
    - Now kchmviewer uses system libchm if found, and no --with-builtin-chmlib configure switch defined.
    - Made configure more compatible with newest autoconf and Debian - thanks to Jose Luis Tallon. 
    - Added an application icon - thanks to Jose Luis Tallon. 
    - Fixed index parser for PHP manual - thanks to Dmitry Bakshaev.
    - In full screen mode the menu bar and status bar are now hidden.

2006-01-30 tim <gyunaev@ulduzsoft.com>
    - Added 'locate in content window' button to open currently opened topic in the content window.
    - Fixed compilation with gcc 4.1 - thanks to Jan Jitse Venselaar.
    - The algorithm to detect the valid root offset in contents page is changed. Now there should be less
      "CHMFile::ParseAndFillTopicsTree: child entry 1 with no root entry!" errors.
    - Pages with images only are now shown correctly.

2005-12-30 tim <gyunaev@ulduzsoft.com>
    - Fixed kqrunprocess.h compilation bug on some platforms.

2005-11-27 tim <gyunaev@ulduzsoft.com>
    - Version 1.3 RELEASE

2005-11-25 tim <gyunaev@ulduzsoft.com>
    - Fixed error message when CHM file cannot be opened.
    - Added Fullscreen mode (shortcut F11), and option to show/hide contents window (F9).

2005-11-22 tim <gyunaev@ulduzsoft.com>
    - Added possibility to view HTML source in external viewer/editor

2005-11-21 tim <gyunaev@ulduzsoft.com>
    - File names containing non-English characters now open correctly.
    - Changed copyright notices.

2005-11-21 tim <gyunaev@ulduzsoft.com>
    - Fixed browser page update for QTextBrowser when current encoding changes.
    - Changed encoding selectore. Now it compiles on x86_64.
    - version 1.2 RELEASE

2005-11-20 tim <gyunaev@ulduzsoft.com>
    - Added 'next page' and 'prev page' buttons.
    - Added extra charset encodings for Japanese, Chinese, Russian and Ukrainian languages.
    - Added UTF-8 and UTF-16 encodings to country 'Unicode' :)
    - Added special KOI8 encoding to Russian and Ukrainian languages. 'Special' means that 
      TOC is in CP1251 encoding, while content is in KOI8 encoding. There were some CHM files 
      with such weird encoding, so it is kinda hack.
    - Fixed language selection bug - application crashed when you select the last language in any submenu.
    - 'Set encoding' menu renamed to 'Set Language'.
    - Added a new 'Set codepage' menu, which allows experienced people to send needed text code page directly.
	- Added Ctrl-F shortcut to move cursor focus onto the search input combo box.
	- Fixed navigation in some CHM files, which have spaces in filenames.

2005-10-30 tim <gyunaev@ulduzsoft.com>
	- fixed security bug - chmlib-0.35 updated to 0.37
	- version 1.1 RELEASE released.

2005-09-27 tim <gyunaev@ulduzsoft.com>
	- fixed bug with incorrect embedded image shown - thanks to XinWei Hu.
	- fixed bug with non-working decrease font size - thanks to anonymous Sourceforge user.
	- copy in KDE version worked through Ctrl-C or 'copy' in content menu.


2005-07-28 tim <gyunaev@ulduzsoft.com>
	- Version 1.0 RELEASE released.
	- Fixed -h option for Qt version.
	- Fixed search messagebox on '?' button.
	- Added F3 shortcut for 'next search in page' action.

2005-06-30 tim <gyunaev@ulduzsoft.com>
	- version 0.92 RELEASE CANDIDATE 2 released.
	- fixed Slackware 10 compilation (one more time) 

2005-06-25 tim <gyunaev@ulduzsoft.com>
	- more namespace cleanups and bugfixes.
	- context and search windows are not shown if the opened file doesn't have it.
	- removed 'search in results' checkbox.
	- the last used directory is also stored.

2005-06-21 tim <gyunaev@ulduzsoft.com>
	- fixed 'View HTML source' bug.
	- fixed "Select All/Copy" popup menu bugs.
	- fixed bug with duplicated WhatsIs icon on every toolbar.
	- added several keyboard shortcuts for menu commands.
	- added extra shortcuts: Ctrl+1 opens the contents page, Ctrl+2 opens Index page,
      Ctrl+3 opens the Search page, and Ctrl+4 opens the Bookmarks page.
	- added command-line options to search in pages, in index and in bookmarks.

2005-06-20 Luca 'Ziabice' Gambetta <ziabice@ziabice.net>
	- fix for AMD64 platform (confirmed to work)

2005-06-18 tim <gyunaev@ulduzsoft.com>
	- version 0.91 RELEASE CANDIDATE 1 released.

2005-06-18 tim <gyunaev@ulduzsoft.com>
	- all configuration settings are now used.
	- history is saved, loaded and cleaned up correctly.
	- chm data (size/time) is now stored inside the history file, not in file name.

2005-06-17 tim <gyunaev@ulduzsoft.com>
	- some of configuration settings are now used.
	- new browser is now running on Qt version when external URL is opening.

2005-06-16 tim <gyunaev@ulduzsoft.com>
	- added the configuration dialog, configuration settings are now saved and loaded.

2005-06-12 tim <gyunaev@ulduzsoft.com>
	- fixed compilation on Slackware 10.
	- fixed internal links following for QTextBrowser.

2005-06-11 Gregorio Guidi <greg_g@gentoo.org>
	- fixed possible problem - linking static chmlib against non-static executable.
	- added --without-kde option.

2005-06-07 tim <gyunaev@ulduzsoft.com>
	- preparing to release version 0.9beta.
	- version 0.9beta released.

2005-06-07 tim <gyunaev@ulduzsoft.com>
	- added a full-featured search engine with complex query support.

2005-06-02 tim <gyunaev@ulduzsoft.com>
	- added copy/selectall functionality to KHTML browser, including a popup menu.
	- fixed storing scrollbar position for KHTML browser.
	- fixed window refresh on encoding change, encoding change now works for KHTML browser.
	- zoom in/out buttons also work for KHTML browser.

2005-06-01 tim <gyunaev@ulduzsoft.com>
	- clicking on links (in-book navigation) now works for KHTML browser.
	- full links (ms-its:) in chm files are now supported.

2005-05-10 tim <gyunaev@ulduzsoft.com>
	- switched to KPopupMenu for KDE.
	- fixed search/print for KHTMLPart.
	- fixed status bar in KDE window.
	- added QWhatsThis for every toolbar icon.
	- fixed command-line parsing for KDE app, remove external GetOpt class.
	- fixed build outside the work directory.

2005-05-04 tim <gyunaev@ulduzsoft.com>
	- KDE integration continues. Now we support printing from KHTML.
	- KIO-slave now works.
	- switched to KTabWidget for KDE.
	- fixed search/print for QTextBrowser.

2005-05-03 tim <gyunaev@ulduzsoft.com>
	- Reimplemented browser history in a more convinient way.
	- KDE integration continues. Now we support KHTML.
	- Added a KIO-slave to handle CHMs.
	- Now it is possible to open files with non-latin filenames.
	- Added support for CHM urls containing anchors.
	- It is possible to use QTextBrowser even for a KDE application.

2005-04-27 tim <gyunaev@ulduzsoft.com>
	- KDE integration started. Now we support KApplication, KMainWindow and KFileDialog.

2005-04-24 tim <gyunaev@ulduzsoft.com>
	- version 0.2 released.

2005-04-24 tim <gyunaev@ulduzsoft.com>
	- added index fields identation according to .hhk file.
	- index entries with multiple links are now supported. A dialog is opened when such a link is clicked.
	- index "see also" links are now supported.
	- added red color for index entries with multiple links, and grey color for "see also" links.
	- chmlib interface redesigned for a great code cleanup and a little speedup.
	- fixed bug when search history and bookmark list grow up every start.
	- fixed garbage at the end of some HTML pages.
	- fixed bug when search results do not open in page.
	- fixed compilation on earlier Qt version (remove qvector.h dependency).
	- fixed compilation on glibc without off_t.

2005-04-23 tim <gyunaev@ulduzsoft.com>
	- TOC parser rewritten, got about 30% speedup on TOC parsing. Note that TOC parser becomes stricter; please report any warnings.
	- Fixed chinese encoding TOC bugs, chinese files are now also shown correctly.
	- Added &rdquo; entity to the entities list.

2005-04-19 tim <gyunaev@ulduzsoft.com>
	- added support for built-in images, including custom images for folders;
	- re-merged toolbar images into the executable as PNGs (uses less space);
	- switched to autoconf/automake from qmake to simplify building and distribution, and to simplify KDEing;

2005-04-05 tim <gyunaev@ulduzsoft.com>
	- version 0.1alpha released
	- fixed slowdown on big files; 
	 
2005-04-05 tim <gyunaev@ulduzsoft.com>
	- images merged into the main executable 
